<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  tools:context=".PasscodeActivity">

  <EditText
    android:id="@+id/pwPasscodeInput"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginTop="240dp"
    android:ems="10"
    android:importantForAutofill="no"
    android:inputType="numberPassword"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toTopOf="parent" />

  <TextView
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:labelFor="@id/pwPasscodeInput"
    android:text="@string/passcode"
    app:layout_constraintBottom_toTopOf="@+id/pwPasscodeInput"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintHorizontal_bias="0.498"
    app:layout_constraintStart_toStartOf="parent" />

  <ImageView
    android:id="@+id/imageView2"
    android:layout_width="157dp"
    android:layout_height="155dp"
    android:layout_marginTop="44dp"
    android:contentDescription="@string/bandie_who_is_a_big_yip"
    android:onClick="yip"
    android:soundEffectsEnabled="false"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toTopOf="parent"
    app:srcCompat="@drawable/bandie" />
</androidx.constraintlayout.widget.ConstraintLayout>